package com.steering.mes.zgmil.entity;
/**
 * 数据库表MIL_SAW_RESULT_DEATIL所对应的实体类（生成工具：代码生成器2.4）
 * @author PC201506012023   date 2015-08-20
 */
public class MilSawResultDeatilEntity {
    /**
     * 排数
     */
    private String rowNo;
    /**
     * 生产批号
     */
    private String lotNo;
    /**
     * 熔炼炉号
     */
    private String stoveNo;
    /**
     * 判定炉号
     */
    private String judgeStoveNo;
    /**
     * 厂线代码
     */
    private String plineCode;
    /**
     * 锯号1
     */
    private String sawNo;
    /**
     * 锯号2
     */
    private String sawNoN;
    /**
     * 排支数
     */
    private String rowCount;
    /**
     * 定尺长度
     */
    private String orderLength;
    /**
     * 切头长度
     */
    private String cutHeadLength;
    /**
     * 切尾长度
     */
    private String cutTrailLength;
    /**
     * 切头总长度
     */
    private String cutHeadLengthTotal;
    /**
     * 切尾总长度
     */
    private String cutTrailLengthTotal;
    /**
     * 切头总重量
     */
    private String cutHeadHeightTotal;
    /**
     * 切尾总重量
     */
    private String cutTrailHeigthTotal;
    /**
     * 采集方式(0-接口采集，1-人工录入)
     */
    private String colMode;
    /**
     * 采集/录入时间
     */
    private String colTime;
    /**
     * 操作人
     */
    private String colUser;
    /**
     * 操作班次
     */
    private String colShift;
    /**
     * 操作班组
     */
    private String colGroup;
    
    /**
     * 分切标识(1-1台开始 2-2台开始 3-已完成)
     */
    private String sawFlag;
    
    /**
     * 换台 0-不换，1-换台
     */
    private String change;
    /**
     * 轧管订单编号
     */
    private String proPlanId;
    
    private String cutSpeed;
    
    private String cutThickness;
    
    /**
     * 工序排产序号
     */
    private String gxPlanNo;

    public MilSawResultDeatilEntity(){
    	proPlanId = "";
		gxPlanNo = "";
        rowNo = "";
        lotNo = "";
        stoveNo = "";
        judgeStoveNo = "";
        plineCode = "";
        sawNo = "";
        sawNoN = "";
        rowCount = "";
        orderLength = "";
        cutHeadLength = "";
        cutTrailLength = "";
        cutHeadLengthTotal = "";
        cutTrailLengthTotal = "";
        cutHeadHeightTotal = "";
        cutTrailHeigthTotal = "";
        colMode = "";
        colTime = "";
        colUser = "";
        colShift = "";
        colGroup = "";
        sawFlag="";
        change="";
    }

    /**
     * 排数
     * @return value
     */
    public String getRowNo() {
        return rowNo;
    }

    /**
     * 排数
     * @param rowNo value
     */
    public void setRowNo(String rowNo) {
        this.rowNo = rowNo;
    }

    /**
     * 生产批号
     * @return value
     */
    public String getLotNo() {
        return lotNo;
    }

    /**
     * 生产批号
     * @param lotNo value
     */
    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    /**
     * 熔炼炉号
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 熔炼炉号
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 厂线代码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 厂线代码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 锯号1
     * @return value
     */
    public String getSawNo() {
        return sawNo;
    }

    /**
     * 锯号1
     * @param sawNo value
     */
    public void setSawNo(String sawNo) {
        this.sawNo = sawNo;
    }

    /**
     * 锯号2
     * @return value
     */
    public String getSawNoN() {
        return sawNoN;
    }

    /**
     * 锯号2
     * @param sawNoN value
     */
    public void setSawNoN(String sawNoN) {
        this.sawNoN = sawNoN;
    }

    /**
     * 排支数
     * @return value
     */
    public String getRowCount() {
        return rowCount;
    }

    /**
     * 排支数
     * @param rowCount value
     */
    public void setRowCount(String rowCount) {
        this.rowCount = rowCount;
    }

    /**
     * 定尺长度
     * @return value
     */
    public String getOrderLength() {
        return orderLength;
    }

    /**
     * 定尺长度
     * @param orderLength value
     */
    public void setOrderLength(String orderLength) {
        this.orderLength = orderLength;
    }

    /**
     * 切头长度
     * @return value
     */
    public String getCutHeadLength() {
        return cutHeadLength;
    }

    /**
     * 切头长度
     * @param cutHeadLength value
     */
    public void setCutHeadLength(String cutHeadLength) {
        this.cutHeadLength = cutHeadLength;
    }

    /**
     * 切尾长度
     * @return value
     */
    public String getCutTrailLength() {
        return cutTrailLength;
    }

    /**
     * 切尾长度
     * @param cutTrailLength value
     */
    public void setCutTrailLength(String cutTrailLength) {
        this.cutTrailLength = cutTrailLength;
    }

    /**
     * 切头总长度
     * @return value
     */
    public String getCutHeadLengthTotal() {
        return cutHeadLengthTotal;
    }

    /**
     * 切头总长度
     * @param cutHeadLengthTotal value
     */
    public void setCutHeadLengthTotal(String cutHeadLengthTotal) {
        this.cutHeadLengthTotal = cutHeadLengthTotal;
    }

    /**
     * 切尾总长度
     * @return value
     */
    public String getCutTrailLengthTotal() {
        return cutTrailLengthTotal;
    }

    /**
     * 切尾总长度
     * @param cutTrailLengthTotal value
     */
    public void setCutTrailLengthTotal(String cutTrailLengthTotal) {
        this.cutTrailLengthTotal = cutTrailLengthTotal;
    }

    /**
     * 切头总重量
     * @return value
     */
    public String getCutHeadHeightTotal() {
        return cutHeadHeightTotal;
    }

    /**
     * 切头总重量
     * @param cutHeadHeightTotal value
     */
    public void setCutHeadHeightTotal(String cutHeadHeightTotal) {
        this.cutHeadHeightTotal = cutHeadHeightTotal;
    }

    /**
     * 切尾总重量
     * @return value
     */
    public String getCutTrailHeigthTotal() {
        return cutTrailHeigthTotal;
    }

    /**
     * 切尾总重量
     * @param cutTrailHeigthTotal value
     */
    public void setCutTrailHeigthTotal(String cutTrailHeigthTotal) {
        this.cutTrailHeigthTotal = cutTrailHeigthTotal;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @return value
     */
    public String getColMode() {
        return colMode;
    }

    /**
     * 采集方式(0-接口采集，1-人工录入)
     * @param colMode value
     */
    public void setColMode(String colMode) {
        this.colMode = colMode;
    }

    /**
     * 采集/录入时间
     * @return value
     */
    public String getColTime() {
        return colTime;
    }

    /**
     * 采集/录入时间
     * @param colTime value
     */
    public void setColTime(String colTime) {
        this.colTime = colTime;
    }

    /**
     * 操作人
     * @return value
     */
    public String getColUser() {
        return colUser;
    }

    /**
     * 操作人
     * @param colUser value
     */
    public void setColUser(String colUser) {
        this.colUser = colUser;
    }

    /**
     * 操作班次
     * @return value
     */
    public String getColShift() {
        return colShift;
    }

    /**
     * 操作班次
     * @param colShift value
     */
    public void setColShift(String colShift) {
        this.colShift = colShift;
    }

    /**
     * 操作班组
     * @return value
     */
    public String getColGroup() {
        return colGroup;
    }

    /**
     * 操作班组
     * @param colGroup value
     */
    public void setColGroup(String colGroup) {
        this.colGroup = colGroup;
    }
    /**
     * 分切标识(1-1台开始 2-2台开始 3-已完成)
     * @return value
     */
    public String getSawFlag() {
        return sawFlag;
    }

    /**
     * 分切标识(1-1台开始 2-2台开始 3-已完成)
     * @param colGroup value
     */
    public void setSawFlag(String sawFlag) {
        this.sawFlag = sawFlag;
    }
    /**
     * 换台 0-不换，1-换台
     * @return value
     */
    public String getChange() {
        return change;
    }

    /**
     * 换台 0-不换，1-换台
     * @param colGroup value
     */
    public void setChange(String change) {
        this.change = change;
    }

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	public String getCutSpeed() {
		return cutSpeed;
	}

	public void setCutSpeed(String cutSpeed) {
		this.cutSpeed = cutSpeed;
	}

	public String getCutThickness() {
		return cutThickness;
	}

	public void setCutThickness(String cutThickness) {
		this.cutThickness = cutThickness;
	}
    
}